#pragma once
#include "afxcmn.h"
#include "afxwin.h"

// CBookmarkInfo dialog

class CBookmarkInfo : public CDialog
{
private:
	using CDialog::Create;

	DECLARE_DYNAMIC(CBookmarkInfo)

public:
	CBookmarkInfo(CWnd* pParent = NULL);   // standard constructor
	virtual ~CBookmarkInfo();
	BOOL Create();

// Dialog Data
	//{{AFX_DATA(CBookmarkInfo)
	enum { IDD = IDD_BOOKMARK_INFO };
	//}}AFX_DATA

protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support

	CWnd* m_pParent;
	int m_nID;
	CFont m_font;

	DECLARE_MESSAGE_MAP()
private:
	CListCtrl m_bookmark_list;
public:
	virtual BOOL OnInitDialog();
public:

	// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CBookmarkInfo)
	//}}AFX_VIRTUAL

	// Generated message map functions
protected:
	//{{AFX_MSG(CBookmarkInfo)
	afx_msg void OnBnClickedBookmarkAdd();
	afx_msg void OnBnClickedBookmarkEdit();
	afx_msg void OnBnClickedBookmarkDelete();
	afx_msg void OnBnClickedBookmarkGoto();
	afx_msg void OnNMClickBookmarkList(NMHDR *pNMHDR, LRESULT *pResult);
	afx_msg void OnDblclkBookmarkList(NMHDR* pNMHDR, LRESULT* pResult);
	//}}AFX_MSG
public:
	void ChangeView(void);
	void UpdateList(void);
	CButton m_bookmark_add;
	CButton m_bookmark_edit;
	CButton m_bookmark_delete;
	CButton m_bookmark_goto;
	afx_msg void OnWindowPosChanged(WINDOWPOS* lpwndpos);
};
