#pragma once
#include "afxcmn.h"
#include "afxwin.h"
#include "TileEditCtrl.h"

// CGfxTileEdit dialog

class CGfxTileEdit : public CDialog
{
private:
	using CDialog::Create;

	DECLARE_DYNAMIC(CGfxTileEdit)

public:
	CGfxTileEdit(CWnd* pParent = NULL);   // standard constructor
	virtual ~CGfxTileEdit();
	BOOL Create();

// Dialog Data
	//{{AFX_DATA(CGfxTileEdit)
	enum IDD_DEF { IDD = IDD_GFX_TILE_EDIT };
	CTileEditCtrl m_tile_edit_ctrl;
	//}}AFX_DATA

protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support

	CWnd* m_pParent;
	int m_nID;
	UINT m_uTimerID;

	DECLARE_MESSAGE_MAP()
public:
	virtual BOOL OnInitDialog();
	//afx_msg void OnEditSearch();
private:
	//CButton m_view_result;
public:

	// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CGfxTileEdit)
	//}}AFX_VIRTUAL

	// Generated message map functions
protected:
	//{{AFX_MSG(CGfxTileEdit)
	afx_msg void OnTimer(UINT nIDEvent);
	//}}AFX_MSG
public:
	void ChangeView(void);
	void UpdateList(void);
	afx_msg void OnWindowPosChanged(WINDOWPOS* lpwndpos);
};
