#pragma once

#include "GfxEditView.h"
#include "GfxModeInfo.h"
#include "GfxTileEdit.h"

// CGfxView view

class CGfxView : public CGfxEditView
{
public:
	CGfxView();
protected:
	DECLARE_DYNCREATE(CGfxView)

// Attributes
public:

private:
	CGfxModeInfo *gfx_mode_info;
	CGfxTileEdit *gfx_tile_edit;

// Operations
public:

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CGfxView)
	protected:
	virtual void OnDraw(CDC* pDC);      // overridden to draw this view
	//}}AFX_VIRTUAL

// Implementation
protected:
	virtual ~CGfxView();
#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif

	// Generated message map functions
protected:
	//{{AFX_MSG(CGfxView)
	afx_msg void OnShowWindow(BOOL bShow, UINT nStatus);
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

extern CGfxView *p_view_4;
