// OptionsROM.cpp : implementation file
//

#include "stdafx.h"
#include "searchr.h"
#include "OptionsROM.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// COptionsROM property page

IMPLEMENT_DYNCREATE(COptionsROM, CPropertyPage)

COptionsROM::COptionsROM() : CPropertyPage(COptionsROM::IDD)
{
	//{{AFX_DATA_INIT(COptionsROM)
	m_deinterleave_smd_roms = FALSE;
	//}}AFX_DATA_INIT
}

COptionsROM::~COptionsROM()
{
}

void COptionsROM::DoDataExchange(CDataExchange* pDX)
{
	CPropertyPage::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(COptionsROM)
	DDX_Check(pDX, IDC_DEINTERLEAVE_SMD, m_deinterleave_smd_roms);
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(COptionsROM, CPropertyPage)
	//{{AFX_MSG_MAP(COptionsROM)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// COptionsROM message handlers

void COptionsROM::OnOK() 
{
	UpdateData(TRUE);
	SearchRConfig::deinterleave_smd_roms = m_deinterleave_smd_roms;
	UpdateData(FALSE);
	
	CPropertyPage::OnOK();
}

BOOL COptionsROM::OnInitDialog() 
{
	CPropertyPage::OnInitDialog();

	UpdateData(TRUE);
	m_deinterleave_smd_roms = SearchRConfig::deinterleave_smd_roms;
	UpdateData(FALSE);
	
	return TRUE;
}
