// SearchR.h : main header file for the SearchR application
//
#pragma once

#ifndef __AFXWIN_H__
	#error include 'stdafx.h' before including this file for PCH
#endif

#include "resource.h"       // main symbols
#include "HexEditView.h"

// CSearchRApp:
// See SearchR.cpp for the implementation of this class
//

class CSearchRApp : public CWinApp
{
public:
	CSearchRApp();

// Overrides
public:
	virtual BOOL InitInstance();

// Implementation
	afx_msg void OnAppAbout();
	//{{AFX_MSG(CSearchRApp)
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
	virtual int ExitInstance();
};

extern CSearchRApp theApp;


namespace SearchRConfig
{
	enum CONFIG_ENUMS {
		SEARCH_HISTORY = 8,
		TABLE_MRU_SIZE = 4,
	};

	extern CString search_string[SEARCH_HISTORY];
	extern CString table_mru_list[TABLE_MRU_SIZE];
	extern BOOL deinterleave_smd_roms;
	extern COLORREF hex_view_colour_data[3][CHexEditView::COLOUR_COUNT];

	extern DWORD store_m_dwStartAddr;
	extern DWORD store_m_nEditDigit;
	extern DWORD store_m_selStart;
	extern DWORD store_m_selEnd;
	extern DWORD store_m_editPos;
	extern DWORD store_m_viewPos;
	extern DWORD store_m_nHorzScroll;
	extern DWORD store_m_editMode;

	extern CRect winpos_bookmarks;
	extern CRect winpos_search_results;
	extern CRect winpos_table_info;
	extern CRect winpos_gfx_mode_info;
	extern CRect winpos_gfx_tile_edit;

	void LoadConfig(void);
	void SaveConfig(void);
};