#pragma once
#include "afxcmn.h"
#include "afxwin.h"


// CSearchResults dialog

class CSearchResults : public CDialog
{
private:
	using CDialog::Create;

	DECLARE_DYNAMIC(CSearchResults)

public:
	CSearchResults(CWnd* pParent = NULL);   // standard constructor
	virtual ~CSearchResults();
	BOOL Create();

// Dialog Data
	//{{AFX_DATA(CSearchResults)
	enum { IDD = IDD_SEARCH_RESULTS };
	//}}AFX_DATA

protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support

	void UpdateSearchResultsList(void);
	CWnd* m_pParent;
	int m_nID;
	CFont m_font;

	//{{AFX_MSG(CSearchResults)
	afx_msg void OnDblclkSearchResultList(NMHDR* pNMHDR, LRESULT* pResult);
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
private:
	CListCtrl m_result_list;
public:
	virtual BOOL OnInitDialog();
	afx_msg void OnEditSearch();
private:
	CButton m_view_result;
public:
	afx_msg void OnBnClickedSrView();
	afx_msg void OnNMClickSearchResultList(NMHDR *pNMHDR, LRESULT *pResult);
private:
	CButton m_new_search;
	CButton m_add_to_table;
public:
	afx_msg void OnShowWindow(BOOL bShow, UINT nStatus);
	void ChangeView();
	void ClearResults(void);
	afx_msg void OnBnClickedSrAddToTable();
private:
	DWORD search_id;
public:
	afx_msg void OnWindowPosChanged(WINDOWPOS* lpwndpos);
};
