#pragma once
#include "afxcmn.h"
#include "afxwin.h"

// CTableInfo dialog

class CTableInfo : public CDialog
{
private:
	using CDialog::Create;

	DECLARE_DYNAMIC(CTableInfo)

public:
	CTableInfo(CWnd* pParent = NULL);   // standard constructor
	virtual ~CTableInfo();
	BOOL Create();

// Dialog Data
	//{{AFX_DATA(CTableInfo)
	enum { IDD = IDD_TABLE_INFO };
	//}}AFX_DATA

protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support

	CWnd* m_pParent;
	int m_nID;
	CFont m_font;

	DECLARE_MESSAGE_MAP()
private:
	CListCtrl m_table_list;
public:
	virtual BOOL OnInitDialog();
	//afx_msg void OnEditSearch();
private:
	//CButton m_view_result;
public:

	// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CTableInfo)
	//}}AFX_VIRTUAL

	// Generated message map functions
protected:
	//{{AFX_MSG(CTableInfo)
	//}}AFX_MSG
public:
	void ChangeView(void);
	void UpdateList(void);
	afx_msg void OnBnClickedTableAdd();
	afx_msg void OnBnClickedTableEdit();
	afx_msg void OnBnClickedTableDelete();
	CButton m_table_add;
	CButton m_table_edit;
	CButton m_table_delete;
	afx_msg void OnNMClickTableList(NMHDR *pNMHDR, LRESULT *pResult);
	afx_msg void OnWindowPosChanged(WINDOWPOS* lpwndpos);
};
