// GfxModeAdd.cpp : implementation file
//

#include "stdafx.h"
#include "SearchR.h"
#include "GfxModeAdd.h"


// CGfxModeAdd dialog

IMPLEMENT_DYNAMIC(CGfxModeAdd, CDialog)
CGfxModeAdd::CGfxModeAdd(CWnd* pParent /*=NULL*/)
	: CDialog(CGfxModeAdd::IDD, pParent)
	, m_tile_width(8)
	, m_tile_height(8)
	, m_tile_planes(1)
{
}

CGfxModeAdd::~CGfxModeAdd()
{
}

void CGfxModeAdd::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	DDX_Text(pDX, IDC_TILE_WIDTH, m_tile_width);
	DDV_MinMaxUInt(pDX, m_tile_width, 4, 32);
	DDX_Text(pDX, IDC_TILE_HEIGHT, m_tile_height);
	DDV_MinMaxUInt(pDX, m_tile_height, 4, 32);
	DDX_Text(pDX, IDC_TILE_PLANES, m_tile_planes);
	DDV_MinMaxUInt(pDX, m_tile_planes, 1, 8);
	DDX_Control(pDX, IDC_TILE_WIDTH_SPIN, m_tile_width_spin);
	DDX_Control(pDX, IDC_TILE_HEIGHT_SPIN, m_tile_height_spin);
	DDX_Control(pDX, IDC_TILE_PLANES_SPIN, m_tile_planes_spin);
}


BEGIN_MESSAGE_MAP(CGfxModeAdd, CDialog)
END_MESSAGE_MAP()


// CGfxModeAdd message handlers

BOOL CGfxModeAdd::OnInitDialog()
{
	CDialog::OnInitDialog();

	m_tile_width_spin.SetRange(4, 32);
	m_tile_height_spin.SetRange(4, 32);
	m_tile_planes_spin.SetRange(1, 8);

	return TRUE;
}
