// HexView.cpp : implementation file

#include "stdafx.h"
#include "searchr.h"
#include "HexEditView.h"
#include "HexView.h"


CHexView *p_view_1;

// CHexView

IMPLEMENT_DYNCREATE(CHexView, CHexEditView)

CHexView::CHexView()
{
	p_view_1 = this;
	for(int i = 0; i < CHexEditView::COLOUR_COUNT; i ++)
		SetColour(SearchRConfig::hex_view_colour_data[0][i], i);
	SetColour(SearchRConfig::hex_view_colour_data[0][BACK_COLOUR], BACK_COLOUR);
}

CHexView::~CHexView()
{
}


BEGIN_MESSAGE_MAP(CHexView, CHexEditView)
	//{{AFX_MSG_MAP(CHexView)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

// CHexView drawing

void CHexView::OnDraw(CDC* pDC)
{	
	CHexEditView::OnDraw(pDC);
}

// CHexView diagnostics

#ifdef _DEBUG
void CHexView::AssertValid() const
{
	CHexEditView::AssertValid();
}

void CHexView::Dump(CDumpContext& dc) const
{
	CHexEditView::Dump(dc);
}
#endif //_DEBUG

// CHexView message handlers

void CHexView::ChangeView()
{
	for(int i = 0; i < CHexEditView::COLOUR_COUNT; i ++)
		SetColour(SearchRConfig::hex_view_colour_data[0][i], i);
	SetColour(SearchRConfig::hex_view_colour_data[0][BACK_COLOUR], BACK_COLOUR);

	CHexEditView::ChangeView();
}

