#pragma once

// CColorButton control

class CColorButton : public CButton
{
	DECLARE_DYNAMIC(CColorButton)
protected:
	virtual void DrawItem(LPDRAWITEMSTRUCT lpDrawItemStruct);
	COLORREF m_color;
public:
	void SetColor(COLORREF c);
	COLORREF GetColor(void);
protected:
	//{{AFX_MSG(CColorButton)
	afx_msg void OnClicked();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

// COptionsDisplay dialog

class COptionsDisplay : public CPropertyPage
{
	DECLARE_DYNCREATE(COptionsDisplay)

// Construction
public:
	COptionsDisplay();
	~COptionsDisplay();

// Dialog Data
	//{{AFX_DATA(COptionsDisplay)
	enum { IDD = IDD_OPTIONS_DISPLAY };
	CColorButton m_colour_0;
	CColorButton m_colour_1;
	CColorButton m_colour_2;
	CColorButton m_colour_3;
	CColorButton m_colour_4;
	CColorButton m_colour_5;
	CColorButton m_colour_6;
	CColorButton m_colour_7;
	CColorButton m_colour_8;
	CColorButton m_colour_9;
	CColorButton m_colour_10;
	CColorButton m_colour_11;
	//}}AFX_DATA


// Overrides
	// ClassWizard generate virtual function overrides
	//{{AFX_VIRTUAL(COptionsDisplay)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	// Generated message map functions
	//{{AFX_MSG(COptionsDisplay)
	virtual BOOL OnInitDialog();
	afx_msg void OnBnClickedDefaultColours();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()

public:
	virtual void OnOK();
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.
