#if !defined(AFX_OPTIONSSHEET_H__691D5D09_08EF_45E3_84F3_B521CE01048E__INCLUDED_)
#define AFX_OPTIONSSHEET_H__691D5D09_08EF_45E3_84F3_B521CE01048E__INCLUDED_

#pragma once

#include "OptionsROM.h"
#include "OptionsDisplay.h"

// OptionsSheet.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// COptionsSheet

class COptionsSheet : public CPropertySheet
{
	DECLARE_DYNAMIC(COptionsSheet)

// Construction
public:
	COptionsSheet(UINT nIDCaption, CWnd* pParentWnd = NULL, UINT iSelectPage = 0);
	COptionsSheet(LPCTSTR pszCaption, CWnd* pParentWnd = NULL, UINT iSelectPage = 0);

// Attributes
public:
	COptionsDisplay m_options_display;
	COptionsROM m_options_rom;
protected:
	void AddControlPages(void);
	HICON m_hIcon;

// Operations
public:

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(COptionsSheet)
	//}}AFX_VIRTUAL

// Implementation
public:
	virtual ~COptionsSheet();

	// Generated message map functions
protected:
	//{{AFX_MSG(COptionsSheet)
		// NOTE - the ClassWizard will add and remove member functions here.
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_OPTIONSSHEET_H__691D5D09_08EF_45E3_84F3_B521CE01048E__INCLUDED_)
