// SearchAddToTable.cpp : implementation file
//

#include "stdafx.h"
#include "SearchR.h"
#include "SearchAddToTable.h"


// CSearchAddToTable dialog

IMPLEMENT_DYNAMIC(CSearchAddToTable, CDialog)
CSearchAddToTable::CSearchAddToTable(CWnd* pParent /*=NULL*/)
	: CDialog(CSearchAddToTable::IDD, pParent)
	, m_enable_lower_case(0)
	, m_enable_upper_case(false)
	, m_enable_numerical(false)
	, m_add_lower_case(FALSE)
	, m_add_upper_case(FALSE)
	, m_add_numerical(FALSE)
{
}

CSearchAddToTable::~CSearchAddToTable()
{
}

void CSearchAddToTable::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	DDX_Control(pDX, IDC_ADD_LOWER_CASE, m_check_add_lower_case);
	DDX_Control(pDX, IDC_ADD_UPPER_CASE, m_check_add_upper_case);
	DDX_Control(pDX, IDC_ADD_NUMERICAL, m_check_add_numerical);
	DDX_Check(pDX, IDC_ADD_LOWER_CASE, m_add_lower_case);
	DDX_Check(pDX, IDC_ADD_UPPER_CASE, m_add_upper_case);
	DDX_Check(pDX, IDC_ADD_NUMERICAL, m_add_numerical);
}


BEGIN_MESSAGE_MAP(CSearchAddToTable, CDialog)
END_MESSAGE_MAP()


// CSearchAddToTable message handlers

BOOL CSearchAddToTable::OnInitDialog()
{
	CDialog::OnInitDialog();

	m_check_add_lower_case.EnableWindow(m_enable_lower_case);
	m_check_add_upper_case.EnableWindow(m_enable_upper_case);
	m_check_add_numerical.EnableWindow(m_enable_numerical);

	UpdateData(TRUE);
	m_add_lower_case = m_enable_lower_case;
	m_add_upper_case = m_enable_upper_case;
	m_add_numerical = m_enable_numerical;
	UpdateData(FALSE);

	return TRUE;
}
