// SearchRDoc.h : interface of the CSearchRDoc class
//


#pragma once

#include "TableDoc.h"

class CSearchResult
{
public:
	CSearchResult();
	CSearchResult *next;

	DWORD offset;
	DWORD length;
	DWORD next_char;
	BYTE byte_a;
	BYTE byte_A;
	BYTE byte_0;
	BOOL a_found;
	BOOL A_found;
	BOOL found_0;
	BYTE lookup[256];
	BOOL lookup_valid[256];
};

class CSearchRDoc : public CDocument
{
protected: // create from serialization only
	CSearchRDoc();
	DECLARE_DYNCREATE(CSearchRDoc)

// Attributes
public:
	BYTE *data;
	DWORD size;
	DWORD result_count;
	CSearchResult *result_data;

// Operations
public:

// Overrides
	public:
	virtual BOOL OnNewDocument();
	virtual void Serialize(CArchive& ar);
	void SetModifiedFlag(BOOL bModified = TRUE);

// Implementation
public:
	virtual ~CSearchRDoc();
#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif

protected:

// Generated message map functions
protected:
	//{{AFX_MSG(CSearchRDoc)
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
public:
	void DeleteResults(void);
	void DoSearchRelative(LPCTSTR s, DWORD next_char, DWORD sequence_check);
	virtual void OnCloseDocument();
	DWORD search_id;
};

extern CSearchRDoc *p_doc;
