
#pragma once

#include "SearchRDoc.h"
#include "SearchResults.h"

/////////////////////////////////////////////////////////////////////////////
// CSearchRView view

class CSearchRView : public CHexEditView
{
public:
	CSearchRView();
protected:
	DECLARE_DYNCREATE(CSearchRView)

private:
	CSearchResults *results_dialog;
public:
	CSearchResult *result_data;

public:
	// Convert STRING to HEX
	virtual BOOL MakeHex(CString s, DWORD &i, BYTE bytes);

	// Convert HEX to STRING
	virtual BOOL MakeString(DWORD i, CString& s, BYTE bytes);

	virtual void ChangeView();

	void ViewResult();

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CSearchRView)
	protected:
	virtual void OnDraw(CDC* pDC);      // overridden to draw this view
	//}}AFX_VIRTUAL

// Implementation
protected:
	virtual ~CSearchRView();
#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif

	// Generated message map functions
protected:
	//{{AFX_MSG(CSearchRView)
	afx_msg void OnShowWindow(BOOL bShow, UINT nStatus);
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

/////////////////////////////////////////////////////////////////////////////

extern CSearchRView *p_view_2;
