
#pragma once
#include "BookmarkInfo.h"

// CTableView view

class CTableView : public CHexEditView
{
public:
	CTableView();
protected:
	DECLARE_DYNCREATE(CTableView)

public:
	// Convert STRING to HEX
	virtual BOOL MakeHex(CString s, DWORD &i, BYTE bytes);

	// Convert HEX to STRING
	virtual BOOL MakeString(DWORD i, CString& s, BYTE bytes);

	virtual void ChangeView();

// Operations
public:

private:
	CTableInfo *table_info;

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CTableView)
	protected:
	virtual void OnDraw(CDC* pDC);      // overridden to draw this view
	//}}AFX_VIRTUAL

// Implementation
protected:
	virtual ~CTableView();
#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif

	// Generated message map functions
protected:
	//{{AFX_MSG(CTableView)
	afx_msg void OnShowWindow(BOOL bShow, UINT nStatus);
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

/////////////////////////////////////////////////////////////////////////////

extern CTableView *p_view_3;
