#pragma once

class CTileEditCtrl : public CStatic
{
// Construction
public:
	CTileEditCtrl();

// Attributes
public:

	int m_nSize;

protected:

	CBitmap *p_bitmap2;
	BOOL dirty_bitmap;
	DWORD bm_x;
	DWORD bm_y;
	DWORD bm_w;
	DWORD bm_h;

	// Device Context Attributes
	CDC* m_pMemDC;
	CWindowDC* m_pWinDC;

	// Palette Attributes
	RGBQUAD m_rgbPalette[256];
	CPalette m_Palette;
	CPalette* m_pOldPalette;

	// Bitmap Attributes
	CBitmap m_Bitmap;
	CBitmap* m_pOldBitmap;
	BYTE* m_pBits;

// Operations
public:
	enum { red = 1, green = 2, blue = 3 };
	void InitFire(int nColor);
	CPalette* GetPalette();
	void PaintFlame(CDC* pDC = NULL);
	void SetMaxBurn(int nMax);
	int GetMaxBurn();
	CSize GetBitmapSize();

protected:
	void CreatePalette(int nColor);
	void CreateBitmap();

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CTileEditCtrl)
	//}}AFX_VIRTUAL

// Implementation
public:
	virtual ~CTileEditCtrl();
	void SetData(CBitmap *p_bitmap, DWORD x, DWORD y, DWORD w, DWORD h);

	// Generated message map functions
protected:
	//{{AFX_MSG(CTileEditCtrl)
	afx_msg void OnPaint();
	afx_msg void OnDestroy();
	afx_msg void OnPaletteChanged(CWnd* pFocusWnd);
	afx_msg BOOL OnQueryNewPalette();
	//}}AFX_MSG

	DECLARE_MESSAGE_MAP()
};

extern CTileEditCtrl *m_fire_thing;
